package com.me.brickbuster.entity;

import com.badlogic.gdx.graphics.Color;

public enum BrickType {

	STANDARD_10(new Color(0xf1f1f1ff)),
	STANDARD_20(new Color(0xff8f00ff)),
	STANDARD_30(Color.CYAN),
	STANDARD_40(Color.GREEN),
	STANDARD_50(Color.RED),
	STANDARD_60(new Color(0x0070ffff)),
	STANDARD_70(new Color(0xff00ffff)),
	STANDARD_80(new Color(0xffff00ff)),
	EXPLOSIVE(Color.GRAY),
	HARD(new Color(0x9d9d9dff)),
	HARDER(new Color(0xbcae00ff)),
	UNBREAKABLE(Color.BLACK)
	;

	private Color color;

	BrickType(Color color) {
		this.color = color;
	}

	public Color getColor() {
		return color;
	}

}
